# OpenLayers.Format.OWSCommon

Read OWSCommon. Create a new instance with the OpenLayers.Format.OWSCommon constructor.

#### Inherits from

- OpenLayers.Format.XML.VersionedOGC

Summary

OpenLayers.Format.OWSCommon | Read OWSCommon.
Properties |
defaultVersion | {String} Version number to assume if none found.
Constructor |
OpenLayers.Format.OWSCommon | Create a new parser for OWSCommon.
Functions |
getVersion | Returns the version to use.
read | Read an OWSCommon document and return an object.

### Properties

### defaultVersion

{String} Version number to assume if none found. Default is “1.0.0”.

### Constructor

### OpenLayers.Format.OWSCommon

Create a new parser for OWSCommon.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### getVersion

> getVersion: function( | root,
> | options | )

Returns the version to use. Subclasses can override this function if a different version detection is needed.

#### Parameters

root | {DOMElement}
options | {Object} Optional configuration object.

#### Returns

{String} The version to use.

### read

Read an OWSCommon document and return an object.

#### Parameters

data | {String | DOMElement} Data to read.
options | {Object} Options for the reader.

#### Returns

{Object} An object representing the structure of the document.

> getVersion: function( | root,
> | options | )

Returns the version to use.
Create a new parser for OWSCommon.
Base class for versioned formats, i.e.
Close